BEGIN;
    ALTER TABLE executions ADD COLUMN IF NOT EXISTS request_id TEXT;
    UPDATE executions SET request_id = COALESCE(details->>'request_urn', details->'ticket'->>'request_urn');
    ALTER TABLE executions ALTER COLUMN request_id SET NOT NULL;
    CREATE UNIQUE INDEX IF NOT EXISTS executions_request_id_idx ON executions(request_id);
COMMIT;
