BEGIN;
    INSERT INTO features (
        feature_id,
        internal_name,
        external_name,
        requires,
        conflicts
    ) VALUES (
        'psc:feature:mdr',
        'CBC MDR',
        'VMware Carbon Black Managed Detection and Response',
        '{ "cmp_type": "ALL", "features": ["psc:feature:defense", "psc:feature:threatsight"] }'::jsonb,
        '{ "cmp_type": "ANY", "features": [] }'::jsonb
    );

    INSERT INTO feature_flags (
        feature_id,
        flag
    ) VALUES (
        'psc:feature:mdr',
        'managedDetectionResponse'
    );

    INSERT INTO products (
        product_id,
        system,
        name
    ) VALUES (
        'mdr',
        'SFDC',
        'SFDC Managed Detection and Response'
    );

    INSERT INTO products (
        product_id,
        system,
        name
    ) VALUES (
        'mdr',
        'LOCAL',
        'SFDC Managed Detection and Response'
    );

    INSERT INTO product_features (
        product_id,
        feature_id,
        system
    ) VALUES (
        'mdr',
        'psc:feature:mdr',
        'SFDC'
    );


    INSERT INTO product_features (
        product_id,
        feature_id,
        system
    ) VALUES (
        'mdr',
        'psc:feature:mdr',
        'LOCAL'
    );
COMMIT;
