BEGIN;
    ALTER TABLE products ADD COLUMN IF NOT EXISTS is_deleted bool DEFAULT false;
    UPDATE products SET is_deleted = true WHERE product_id = 'guardrails';
    UPDATE features SET internal_name = 'CBC Container Hardening', external_name = 'VMware Carbon Black Container Essentials' WHERE feature_id = 'psc:feature:guardrails';
    INSERT INTO feature_flags (feature_id, flag) VALUES ('psc:feature:guardrails', 'kubernetesSecurityRuntimeEssentials') ON CONFLICT DO NOTHING;
    INSERT INTO products (product_id, system, name) VALUES ('containeressentials', 'LOCAL', 'Container Essentials') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, system, feature_id) VALUES ('containeressentials', 'LOCAL', 'psc:feature:guardrails') ON CONFLICT DO NOTHING;
    INSERT INTO products (product_id, system, name) VALUES ('containeressentials', 'SFDC', 'Container Essentials') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, system, feature_id) VALUES ('containeressentials', 'SFDC', 'psc:feature:guardrails') ON CONFLICT DO NOTHING;
COMMIT;
