BEGIN;
    INSERT INTO features (feature_id, internal_name, external_name, requires, conflicts)
    VALUES (
        'psc:feature:kubernetesruntimeprotection',
        'CBC Kubernetes Runtime Protection',
        'VMware Carbon Black Container Advanced',
        '{"cmp_type": "ALL", "features": ["psc:feature:guardrails"]}'::jsonb,
        '{"cmp_type": "ANY", "features": []}'::jsonb
    ) ON CONFLICT DO NOTHING;
    INSERT INTO feature_flags (feature_id, flag) VALUES ('psc:feature:kubernetesruntimeprotection', 'kubernetesSecurityRuntimeAdvanced') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name) VALUES ('containeradvanced', 'LOCAL', 'Container Advanced') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, system, feature_id) VALUES ('containeradvanced', 'LOCAL', 'psc:feature:guardrails') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, system, feature_id) VALUES ('containeradvanced', 'LOCAL', 'psc:feature:kubernetesruntimeprotection') ON CONFLICT DO NOTHING;


    INSERT INTO products (product_id, system, name) VALUES ('containeradvanced', 'SFDC', 'Container Advanced') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, system, feature_id) VALUES ('containeradvanced', 'SFDC', 'psc:feature:guardrails') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, system, feature_id) VALUES ('containeradvanced', 'SFDC', 'psc:feature:kubernetesruntimeprotection') ON CONFLICT DO NOTHING;
COMMIT;
