BEGIN;
    INSERT INTO features (feature_id, internal_name, external_name) VALUES ('psc:feature:publiccloud', 'CBC Public Cloud', 'VMware Carbon Black Public Cloud Protection') ON CONFLICT DO NOTHING;
    INSERT INTO feature_flags (feature_id, flag) VALUES ('psc:feature:publiccloud', 'publicCloud') ON CONFLICT DO NOTHING;
    INSERT INTO feature_flags (feature_id, flag) VALUES ('psc:feature:publiccloud', 'vulnerabilityAssessment') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name) VALUES ('publiccloudessentials', 'SFDC', 'Public Cloud Essentials') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, system, feature_id) VALUES ('publiccloudessentials', 'SFDC', 'psc:feature:livequery') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, system, feature_id) VALUES ('publiccloudessentials', 'SFDC', 'psc:feature:publiccloud') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name) VALUES ('publiccloudadvanced', 'SFDC', 'Public Cloud Advanced') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, system, feature_id) VALUES ('publiccloudadvanced', 'SFDC', 'psc:feature:livequery') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, system, feature_id) VALUES ('publiccloudadvanced', 'SFDC', 'psc:feature:publiccloud') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, system, feature_id) VALUES ('publiccloudadvanced', 'SFDC', 'psc:feature:defense') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, system, name) VALUES ('publiccloudenterprise', 'SFDC', 'Public Cloud Enterprise') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, system, feature_id) VALUES ('publiccloudenterprise', 'SFDC', 'psc:feature:livequery') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, system, feature_id) VALUES ('publiccloudenterprise', 'SFDC', 'psc:feature:publiccloud') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, system, feature_id) VALUES ('publiccloudenterprise', 'SFDC', 'psc:feature:defense') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, system, feature_id) VALUES ('publiccloudenterprise', 'SFDC', 'psc:feature:threathunter') ON CONFLICT DO NOTHING;
COMMIT;
