BEGIN;
    UPDATE entitlements SET system = 'SFDC'::system WHERE product_id IN ('publiccloudessentials', 'publiccloudadvanced', 'publiccloudenterprise') AND system = 'LOCAL'::system;

    DELETE FROM product_features WHERE product_id IN ('publiccloudessentials', 'publiccloudadvanced', 'publiccloudenterprise') AND system = 'LOCAL'::system;
    DELETE FROM products WHERE product_id IN ('publiccloudessentials', 'publiccloudadvanced', 'publiccloudenterprise') AND system = 'LOCAL'::system;

    INSERT INTO products (product_id, system, name) VALUES ('publiccloud', 'LOCAL', 'Public Cloud') ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, system, feature_id) VALUES ('publiccloud', 'LOCAL', 'psc:feature:publiccloud') ON CONFLICT DO NOTHING;
COMMIT;
