BEGIN;
    ALTER TYPE system ADD VALUE IF NOT EXISTS 'GOVCLOUD';
COMMIT;

BEGIN;
    INSERT INTO products (product_id, name, system) VALUES ('endpointstandard', 'Endpoint Standard', 'GOVCLOUD'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('endpointstandard', 'psc:feature:defense', 'GOVCLOUD'::system) ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, name, system) VALUES ('endpointadvanced', 'Endpoint Advanced', 'GOVCLOUD'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('endpointadvanced', 'psc:feature:defense', 'GOVCLOUD'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('endpointadvanced', 'psc:feature:livequery', 'GOVCLOUD'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('endpointadvanced', 'psc:feature:vulnerability', 'GOVCLOUD'::system) ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, name, system) VALUES ('endpointenterprise', 'Endpoint Enterprise', 'GOVCLOUD'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('endpointenterprise', 'psc:feature:defense', 'GOVCLOUD'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('endpointenterprise', 'psc:feature:livequery', 'GOVCLOUD'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('endpointenterprise', 'psc:feature:threathunter', 'GOVCLOUD'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('endpointenterprise', 'psc:feature:vulnerability', 'GOVCLOUD'::system) ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, name, system) VALUES ('workloadessentials', 'Workload Essentials', 'GOVCLOUD'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('workloadessentials', 'psc:feature:livequery', 'GOVCLOUD'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('workloadessentials', 'psc:feature:workloadinv', 'GOVCLOUD'::system) ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, name, system) VALUES ('workloadadvanced', 'Workload Advanced', 'GOVCLOUD'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('workloadadvanced', 'psc:feature:livequery', 'GOVCLOUD'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('workloadadvanced', 'psc:feature:workloadinv', 'GOVCLOUD'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('workloadadvanced', 'psc:feature:defense', 'GOVCLOUD'::system) ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, name, system) VALUES ('workloadenterprise', 'Workload Enterprise', 'GOVCLOUD'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('workloadenterprise', 'psc:feature:livequery', 'GOVCLOUD'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('workloadenterprise', 'psc:feature:threathunter', 'GOVCLOUD'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('workloadenterprise', 'psc:feature:workloadinv', 'GOVCLOUD'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('workloadenterprise', 'psc:feature:defense', 'GOVCLOUD'::system) ON CONFLICT DO NOTHING;
COMMIT;
