BEGIN;

    INSERT INTO features (
        feature_id,
        internal_name,
        external_name,
        requires,
        conflicts
    ) VALUES (
        'psc:feature:sensorgateway',
        'CBC Sensor Gateway',
        'VMware Carbon Black Sensor Gateway',
        '
        {
            "cmp_type": "ALL",
            "features": [
                "psc:feature:workloadinv"
            ]
        }
        '::jsonb,
        '{ "cmp_type": "ANY", "features": [] }'::jsonb
    ) ON CONFLICT DO NOTHING;


    INSERT INTO products (product_id, name, system) VALUES ('sensorgateway', 'Sensor Gateway', 'LOCAL'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('sensorgateway', 'psc:feature:sensorgateway', 'LOCAL'::system) ON CONFLICT DO NOTHING;

    INSERT INTO product_features (product_id, feature_id, system) VALUES ('workloadessentials', 'psc:feature:sensorgateway', 'SFDC'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('workloadadvanced', 'psc:feature:sensorgateway', 'SFDC'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('workloadenterprise', 'psc:feature:sensorgateway', 'SFDC'::system) ON CONFLICT DO NOTHING;

    INSERT INTO product_features (product_id, feature_id, system) VALUES ('publiccloudessentials', 'psc:feature:sensorgateway', 'SFDC'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('publiccloudadvanced', 'psc:feature:sensorgateway', 'SFDC'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('publiccloudenterprise', 'psc:feature:sensorgateway', 'SFDC'::system) ON CONFLICT DO NOTHING;

    INSERT INTO product_features (product_id, feature_id, system) VALUES ('workloadadvanced', 'psc:feature:sensorgateway', 'STORE'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('publiccloudadvanced', 'psc:feature:sensorgateway', 'STORE'::system) ON CONFLICT DO NOTHING;
COMMIT;
