BEGIN;
ALTER TABLE features ADD COLUMN IF NOT EXISTS ui_name text;
ALTER TABLE features ADD COLUMN IF NOT EXISTS ui_abbr text;

UPDATE features SET ui_name = 'Audit and Remediation', ui_abbr = 'A&R' WHERE feature_id = 'psc:feature:livequery';
UPDATE features SET ui_name = 'Prevention', ui_abbr = 'PREV' WHERE feature_id = 'psc:feature:prevention';
UPDATE features SET ui_name = 'Workload Protection', ui_abbr = 'WLP' WHERE feature_id = 'psc:feature:workloadinv';
UPDATE features SET ui_name = 'Vulnerability Management for Workloads', ui_abbr = 'VMWL' WHERE feature_id = 'psc:feature:vulnerability';
UPDATE features SET ui_name = 'Container Essentials', ui_abbr = 'CE' WHERE feature_id = 'psc:feature:guardrails';
UPDATE features SET ui_name = 'Vulnerability Management for Endpoints', ui_abbr = 'VMEP' WHERE feature_id = 'psc:feature:vulnerabilityendpoint';
UPDATE features SET ui_name = 'Managed Detection and Response', ui_abbr = 'MDR' WHERE feature_id = 'psc:feature:mdr';
UPDATE features SET ui_name = 'Public Cloud Protection', ui_abbr = 'PCP' WHERE feature_id = 'psc:feature:publiccloud';
UPDATE features SET ui_name = 'Managed Detection', ui_abbr = 'MD' WHERE feature_id = 'psc:feature:threatsight';
UPDATE features SET ui_name = 'Data Retention', ui_abbr = 'DR' WHERE feature_id = 'psc:feature:retention';
UPDATE features SET ui_name = 'Container Advanced', ui_abbr = 'CA' WHERE feature_id = 'psc:feature:kubernetesruntimeprotection';
UPDATE features SET ui_name = 'Endpoint Standard', ui_abbr = 'ES' WHERE feature_id = 'psc:feature:defense';
UPDATE features SET ui_name = 'Ransomware Recovery', ui_abbr = 'RWR' WHERE feature_id = 'psc:feature:ransomwarerecovery';
UPDATE features SET ui_name = 'Enterprise EDR', ui_abbr = 'EEDR' WHERE feature_id = 'psc:feature:threathunter';
UPDATE features SET ui_name = 'XDR', ui_abbr = 'XDR' WHERE feature_id = 'psc:feature:xdr';
UPDATE features SET ui_name = 'Host Based Firewall', ui_abbr = 'HBFW' WHERE feature_id = 'psc:feature:hbfw';
UPDATE features SET ui_name = 'Sensor Gateway', ui_abbr = 'SG' WHERE feature_id = 'psc:feature:sensorgateway';
UPDATE features SET ui_name = 'Managed Detection for EEDR', ui_abbr = 'MDEEDR' WHERE feature_id = 'psc:feature:mdforeedr';

COMMIT;