BEGIN;

INSERT INTO features (
	feature_id,
	internal_name,
	external_name,
	ui_name,
    ui_abbr,
	requires,
	conflicts
) VALUES (
	'psc:feature:chromeos',
	'CBC ChromeOS',
	'VMware Carbon Black ChromeOS',
	'ChromeOS',
	'COS',
	'
	{
		"cmp_type": "ANY",
		"features": [
			"psc:feature:threathunter"
		]
	}
	'::jsonb,
	'{ "cmp_type": "ANY", "features": [] }'::jsonb
) ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, 	ui_name, ui_abbr, ui_link, name, system) VALUES ('chromeos', 'ChromeOS', 'COS', 'https://www.vmware.com/products/chrome-os.html', 'ChromeOS', 'LOCAL'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('chromeos', 'psc:feature:chromeos', 'LOCAL'::system) ON CONFLICT DO NOTHING;

	INSERT INTO products (product_id, 	ui_name, ui_abbr, ui_link, name, system) VALUES ('chromeos', 'ChromeOS', 'COS', 'https://www.vmware.com/products/chrome-os.html', 'ChromeOS', 'SFDC'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('chromeos', 'psc:feature:chromeos', 'SFDC'::system) ON CONFLICT DO NOTHING;

COMMIT;

