BEGIN;

DO $$
BEGIN
    IF NOT EXISTS (SELECT 1 FROM pg_type WHERE typname = 'system') THEN
        CREATE TYPE system AS enum('SFDC', 'LOCAL');
    END IF;
END
$$;

CREATE TABLE IF NOT EXISTS products (
    product_id text NOT NULL,
    system system NOT NULL,
    name TEXT,
    PRIMARY KEY(product_id, system)
);

COMMIT;
