BEGIN;
    INSERT INTO features (feature_id, conflicts, requires, internal_name, external_name)
    VALUES ('psc:feature:livequery', '[]', '[]', 'CBC LiveQuery', 'VMware Carbon Black Audit and Remediation')
    ON CONFLICT DO NOTHING;
    INSERT INTO features (feature_id, conflicts, requires, internal_name, external_name)
    VALUES ('psc:feature:threathunter', '[]', '[]', 'CBC ThreatHunter', 'VMware Carbon Black Enterprise EDR')
    ON CONFLICT DO NOTHING;
    INSERT INTO features (feature_id, conflicts, requires, internal_name, external_name)
    VALUES ('psc:feature:prevention', '["psc:feature:guardrails","psc:feature:vulnerability","psc:feature:workloadinv","psc:feature:threatsight","psc:feature:livequery","psc:feature:threathunter","psc:feature:retention","psc:feature:defense"]', '[]', 'CBC Prevention', 'VMware Carbon Black Prevention')
    ON CONFLICT DO NOTHING;
    INSERT INTO features (feature_id, conflicts, requires, internal_name, external_name)
    VALUES ('psc:feature:workloadinv', '[]', '[]', 'CBC Workload', 'VMware Carbon Black Cloud Workload Protection')
    ON CONFLICT DO NOTHING;
    INSERT INTO features (feature_id, conflicts, requires, internal_name, external_name)
    VALUES ('psc:feature:guardrails', '[]', '[]', 'CBC Guardrails', 'VMware Carbon Black Container Essentials')
    ON CONFLICT DO NOTHING;
    INSERT INTO features (feature_id, conflicts, requires, internal_name, external_name)
    VALUES ('psc:feature:threatsight', '[]', '["psc:feature:defense"]', 'CBC ThreatSight', 'VMware Carbon Black Managed Detection')
    ON CONFLICT DO NOTHING;
    INSERT INTO features (feature_id, conflicts, requires, internal_name, external_name)
    VALUES ('psc:feature:retention', '[]', '[]', 'CBC Retention', 'VMware Carbon Black Data Retention')
    ON CONFLICT DO NOTHING;
    INSERT INTO features (feature_id, conflicts, requires, internal_name, external_name)
    VALUES ('psc:feature:vulnerability', '[]', '["psc:feature:livequery"]', 'CBC Vulnerability', 'VMware Carbon Black Vulnerability Management')
    ON CONFLICT DO NOTHING;
    INSERT INTO features (feature_id, conflicts, requires, internal_name, external_name)
    VALUES ('psc:feature:defense', '[]', '[]', 'CBC Defense', 'VMware Carbon Black Endpoint Standard')
    ON CONFLICT DO NOTHING;
COMMIT;
