BEGIN;
    INSERT INTO features (
        feature_id,
        internal_name,
        external_name,
        requires,
        conflicts
    ) VALUES (
        'psc:feature:xdr',
        'CBC XDR',
        'VMware Carbon Black XDR',
        '
        {
            "cmp_type": "ANY",
            "features": [
                "psc:feature:threathunter"
            ]
        }
        '::jsonb,
        '{ "cmp_type": "ANY", "features": [] }'::jsonb
    ) ON CONFLICT DO NOTHING;

    INSERT INTO feature_flags (feature_id, flag) VALUES ('psc:feature:xdr', 'xdr') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, name, system) VALUES ('xdr', 'XDR', 'LOCAL'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('xdr', 'psc:feature:xdr', 'LOCAL'::system) ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, name, system) VALUES ('xdr', 'XDR', 'SFDC'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('xdr', 'psc:feature:xdr', 'SFDC'::system) ON CONFLICT DO NOTHING;
COMMIT;
