BEGIN;
    INSERT INTO features (
        feature_id,
        internal_name,
        external_name,
        requires,
        conflicts
    ) VALUES (
        'psc:feature:hbfw',
        'CBC HBFW',
        'VMware Carbon Black Host Based Firewall',
        '
        {
            "cmp_type": "ANY",
            "features": [
                "psc:feature:defense"
            ]
        }
        '::jsonb,
        '{ "cmp_type": "ANY", "features": [] }'::jsonb
    ) ON CONFLICT DO NOTHING;

    INSERT INTO feature_flags (feature_id, flag) VALUES ('psc:feature:hbfw', 'hostBasedFirewall') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, name, system) VALUES ('hbfw', 'HBFW', 'LOCAL'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('hbfw', 'psc:feature:hbfw', 'LOCAL'::system) ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, name, system) VALUES ('hbfw', 'HBFW', 'SFDC'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('hbfw', 'psc:feature:hbfw', 'SFDC'::system) ON CONFLICT DO NOTHING;
COMMIT;
