BEGIN;

    INSERT INTO features (
        feature_id,
        internal_name,
        external_name,
        requires,
        conflicts
    ) VALUES (
        'psc:feature:mdforeedr',
        'CBC MD for EEDR',
        'VMware Carbon Black Managed Detection for EEDR',
        '
        {
            "cmp_type": "ALL",
            "features": [
                "psc:feature:threathunter"
            ]
        }
        '::jsonb,
        '{ "cmp_type": "ANY", "features": [] }'::jsonb
    ) ON CONFLICT DO NOTHING;

    INSERT INTO feature_flags (feature_id, flag) VALUES ('psc:feature:mdforeedr', 'managedDetectionForEEDR') ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, name, system) VALUES ('mdforeedr', 'MD for EEDR', 'LOCAL'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('mdforeedr', 'psc:feature:mdforeedr', 'LOCAL'::system) ON CONFLICT DO NOTHING;

    INSERT INTO products (product_id, name, system) VALUES ('mdforeedr', 'MD for EEDR', 'SFDC'::system) ON CONFLICT DO NOTHING;
    INSERT INTO product_features (product_id, feature_id, system) VALUES ('mdforeedr', 'psc:feature:mdforeedr', 'SFDC'::system) ON CONFLICT DO NOTHING;

COMMIT;
