BEGIN;
ALTER TABLE products ADD COLUMN IF NOT EXISTS ui_name text;
ALTER TABLE products ADD COLUMN IF NOT EXISTS ui_abbr text;
ALTER TABLE products ADD COLUMN IF NOT EXISTS ui_link text;

UPDATE products SET ui_name = 'Enterprise EDR', ui_abbr = 'EEDR', ui_link = 'https://www.vmware.com/products/endpoint-detection-and-response.html' WHERE product_id = 'enterpriseedr';
UPDATE products SET ui_name = 'Audit & Remediation', ui_abbr = 'A&R' WHERE product_id = 'auditremediation';
UPDATE products SET ui_name = 'Container Essentials', ui_abbr = 'CE', ui_link = 'https://www.vmware.com/products/carbon-black-cloud-container.html' WHERE product_id = 'containeradvanced';
UPDATE products SET ui_name = 'Container Advanced', ui_abbr = 'CA', ui_link = 'https://www.vmware.com/products/carbon-black-cloud-container.html' WHERE product_id = 'containeradvanced';
UPDATE products SET ui_name = 'Prevention', ui_abbr = 'Prev' WHERE product_id = 'prevention';
UPDATE products SET ui_name = 'Workload Essentials', ui_abbr = 'WLEs' WHERE product_id = 'workloadessentials';
UPDATE products SET ui_name = 'Workload Advanced', ui_abbr = 'WLA' WHERE product_id = 'workloadadvanced';
UPDATE products SET ui_name = 'Workload Enterprise', ui_abbr = 'WLEnt' WHERE product_id = 'workloadenterprise';
UPDATE products SET ui_name = 'Endpoint Standard', ui_abbr = 'ES', ui_link = 'https://www.vmware.com/products/carbon-black-cloud-endpoint.html' WHERE product_id = 'endpointstandard';
UPDATE products SET ui_name = 'Endpoint Advanced', ui_abbr = 'EA' WHERE product_id = 'endpointadvanced';
UPDATE products SET ui_name = 'Endpoint Enterprise', ui_abbr = 'EEDR' WHERE product_id = 'endpointenterprise';
UPDATE products SET ui_name = 'Endpoint Standard + EDR', ui_abbr = 'ES+ER' WHERE product_id = 'endpointstandardenterpriseedr';
UPDATE products SET ui_name = 'EDR + A&R', ui_abbr = 'EDR+A&R' WHERE product_id = 'auditremediationenterpriseedr';
UPDATE products SET ui_name = 'Managed Detection', ui_abbr = 'MD' WHERE product_id = 'manageddetection';
UPDATE products SET ui_name = 'Data Retention', ui_abbr = 'DR' WHERE product_id = 'dataretention';
UPDATE products SET ui_name = 'Vulnerability for Endpoints', ui_abbr = 'VFE', ui_link = 'https://www.vmware.com/resources/security/vulnerability-prioritization-bridging-the-gap-between-security-and-it.html' WHERE product_id = 'vulnerabilityendpoint';
UPDATE products SET ui_name = 'Managed Detection and Response', ui_abbr = 'MDR', ui_link = 'https://www.vmware.com/products/managed-detection-and-response.html' WHERE product_id = 'mdr';
UPDATE products SET ui_name = 'Public Cloud Essentials', ui_abbr = 'PCE' WHERE product_id = 'publiccloudessentials';
UPDATE products SET ui_name = 'Public Cloud Advanced', ui_abbr = 'PCA' WHERE product_id = 'publiccloudadvanced';
UPDATE products SET ui_name = 'Public Cloud Enterprise', ui_abbr = 'PCE' WHERE product_id = 'publiccloudenterprise';
UPDATE products SET ui_name = 'XDR', ui_abbr = 'XDR' WHERE product_id = 'xdr';

COMMIT;