BEGIN;

INSERT INTO features (
	feature_id,
	internal_name,
	external_name,
	ui_name,
	ui_abbr,
	requires,
	conflicts
) VALUES (
	'psc:feature:dataforwarderpaid',
	'CBC Data Forwarder Paid',
	'VMware Carbon Black Data Forwarder Add-On',
	'Data Forwarder',
	'DF',
	'
	{
		"cmp_type": "ANY",
		"features": [
			"psc:feature:defense",
			"psc:feature:threathunter"
		]
	}
	'::jsonb,
	'{ "cmp_type": "ANY", "features": [] }'::jsonb
) ON CONFLICT DO NOTHING;

INSERT INTO products (product_id, ui_name, ui_abbr, name, system) VALUES ('dataforwarderpaid', 'Data Forwarder', 'DF', 'Data Forwarder Paid', 'LOCAL'::system) ON CONFLICT DO NOTHING;
INSERT INTO product_features (product_id, feature_id, system) VALUES ('dataforwarderpaid', 'psc:feature:dataforwarderpaid', 'LOCAL'::system) ON CONFLICT DO NOTHING;

INSERT INTO products (product_id, ui_name, ui_abbr, name, system) VALUES ('dataforwarderpaid', 'Data Forwarder', 'DF', 'Data Forwarder Paid', 'SFDC'::system) ON CONFLICT DO NOTHING;
INSERT INTO product_features (product_id, feature_id, system) VALUES ('dataforwarderpaid', 'psc:feature:dataforwarderpaid',  'SFDC'::system) ON CONFLICT DO NOTHING;

COMMIT;
